Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MeshLodUsage Struct Reference

A way of recording the way each LODs is recorded this Mesh. More...

`#include <OgreMesh.h>`

List of all members.

## Public Attributes
Real | fromDepthSquared
| squared Z value from which this LOD will apply
String | manualName
| Only relevant if mIsLodManual is true, the name of the alternative mesh to use.
MeshPtr | manualMesh
| Hard link to mesh to avoid looking up each time.
EdgeData * | edgeData
| Edge list for this LOD level (may be derived from manual mesh).

## Detailed Description

A way of recording the way each LODs is recorded this Mesh.

Definition at line 859 of file OgreMesh.h.

## Member Data Documentation

EdgeData* Ogre::MeshLodUsage::edgeData`[mutable]`

| Edge list for this LOD level (may be derived from manual mesh). Definition at line 868 of file OgreMesh.h.

Real Ogre::MeshLodUsage::fromDepthSquared

| squared Z value from which this LOD will apply Definition at line 862 of file OgreMesh.h.

MeshPtr Ogre::MeshLodUsage::manualMesh`[mutable]`

| Hard link to mesh to avoid looking up each time. Definition at line 866 of file OgreMesh.h.

String Ogre::MeshLodUsage::manualName

| Only relevant if mIsLodManual is true, the name of the alternative mesh to use. Definition at line 864 of file OgreMesh.h.

The documentation for this struct was generated from the following file:

- OgreMesh.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:45 2007